| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

Macros | Functions | Variables
FXOS8700_2 module documentation

## Macros
#define | FSL_SENSOR_SPI_CMD_LENG 0x2
#define | FXOS8700_2_DATA_TYPE fxos8700_DataBuffer_t

## Functions
isf_status_t | fsl_gauss_spi_slave_init (void)
isf_status_t | fsl_gauss_spi_slave_write_preprocess (void *pCmdOut, uint32 offset, uint32 size, void *pWritebuffer)
isf_status_t | fsl_gauss_spi_slave_write_postprocess (void *pCmdOut)
isf_status_t | fsl_gauss_spi_slave_read_preprocess (void *pCmdOut, uint32 offset, uint32 size)
isf_status_t | fsl_gauss_spi_slave_read_postprocess (void *pCmdOut, void *pDataOut)

## Variables
fxos8700_Sensor_Specific_Settings_t | FXOS8700_2_Sensor_Specific_Config
| This allows access to the sensor specific configuration for the target sensor. More...
const isf_dsa_Adapter_t | FXOS8700_2_Adapter
| This creates the sensor adapter instance for the target sensor. More...
spi_master_slaveInfo_t | fsl_spi_sensor_type_FXOS8700_2
const spi_master_CommSpecificInfo_t | FXOS8700_2_DeviceInfo
| This allows access to the sensor communications specific configuration. More...
fxos8700_Sensor_Specific_Settings_t | FXOS8700_2_Sensor_Specific_Config
| This allows access to the sensor specific configuration for the target sensor. More...
const isf_dsa_Adapter_t | FXOS8700_2_Adapter
| This allows access to the sensor adapter instance for the target sensor. More...
const spi_master_CommSpecificInfo_t | FXOS8700_2_DeviceInfo
| This allows access to the sensor communications specific configuration. More...

## Detailed Description

## Macro Definition Documentation

#define FSL_SENSOR_SPI_CMD_LENG 0x2

Definition at line 167 of file FXOS8700_2.c.

Referenced by fsl_gauss_spi_slave_read_postprocess(), fsl_gauss_spi_slave_read_preprocess(), and fsl_gauss_spi_slave_write_preprocess().

#define FXOS8700_2_DATA_TYPE fxos8700_DataBuffer_t

Definition at line 105 of file FXOS8700_2.h.

## Function Documentation

isf_status_t fsl_gauss_spi_slave_init | ( | void |  | ) |

Definition at line 206 of file FXOS8700_2.c.

References ISF_SUCCESS, and ResetSensor_OutConfig0.

isf_status_t fsl_gauss_spi_slave_read_postprocess | ( | void * | pCmdOut,
|  | void * | pDataOut
| ) |  |

Definition at line 269 of file FXOS8700_2.c.

References FSL_SENSOR_SPI_CMD_LENG, ISF_MEM_CPY, ISF_SUCCESS, J1_1, spi_mater_SlaveCmd::pReadBuffer, and spi_mater_SlaveCmd::size.

isf_status_t fsl_gauss_spi_slave_read_preprocess | ( | void * | pCmdOut,
|  | uint32 | offset,
|  | uint32 | size
| ) |  |

Definition at line 247 of file FXOS8700_2.c.

References FSL_SENSOR_SPI_CMD_LENG, ISF_SUCCESS, J1_1, spi_mater_SlaveCmd::pReadBuffer, spi_mater_SlaveCmd::pWriteBuffer, and spi_mater_SlaveCmd::size.

isf_status_t fsl_gauss_spi_slave_write_postprocess | ( | void * | pCmdOut | ) |

Definition at line 239 of file FXOS8700_2.c.

References ISF_SUCCESS, and J1_1.

isf_status_t fsl_gauss_spi_slave_write_preprocess | ( | void * | pCmdOut,
|  | uint32 | offset,
|  | uint32 | size,
|  | void * | pWritebuffer
| ) |  |

Definition at line 214 of file FXOS8700_2.c.

References FSL_SENSOR_SPI_CMD_LENG, ISF_MEM_CPY, ISF_SUCCESS, J1_1, spi_mater_SlaveCmd::pReadBuffer, spi_mater_SlaveCmd::pWriteBuffer, and spi_mater_SlaveCmd::size.

## Variable Documentation

spi_master_slaveInfo_t fsl_spi_sensor_type_FXOS8700_2

Initial value:
= {
.slaveinit = (fnslaveinit_t)&fsl_gauss_spi_slave_init,
.writepreProcess = (fnwritepreProcessing_t)fsl_gauss_spi_slave_write_preprocess,
.writepostProcess = (fnwritepostProcossing_t)fsl_gauss_spi_slave_write_postprocess,
.readpreProcess = (fnreadpreProcessing_t)fsl_gauss_spi_slave_read_preprocess,
.readpostProcess = (fnreadpostProcossing_t)fsl_gauss_spi_slave_read_postprocess
}
fsl_gauss_spi_slave_read_preprocess
isf_status_t fsl_gauss_spi_slave_read_preprocess(void *pCmdOut, uint32 offset, uint32 size)
Definition: FXOS8700_2.c:247
fsl_gauss_spi_slave_write_preprocess
isf_status_t fsl_gauss_spi_slave_write_preprocess(void *pCmdOut, uint32 offset, uint32 size, void *pWritebuffer)
Definition: FXOS8700_2.c:214
fnwritepreProcessing_t
isf_status_t(* fnwritepreProcessing_t)(void *cmdOut, uint32 offset, uint32 size, void *writebuffer)
Definition: isf_spi_master_types.h:45
fnwritepostProcossing_t
isf_status_t(* fnwritepostProcossing_t)(void *cmd)
Definition: isf_spi_master_types.h:46
fsl_gauss_spi_slave_read_postprocess
isf_status_t fsl_gauss_spi_slave_read_postprocess(void *pCmdOut, void *pDataOut)
Definition: FXOS8700_2.c:269
fsl_gauss_spi_slave_write_postprocess
isf_status_t fsl_gauss_spi_slave_write_postprocess(void *pCmdOut)
Definition: FXOS8700_2.c:239
fnreadpreProcessing_t
isf_status_t(* fnreadpreProcessing_t)(void *cmdout, uint32 offset, uint32 size)
Definition: isf_spi_master_types.h:47
fnreadpostProcossing_t
isf_status_t(* fnreadpostProcossing_t)(void *cmd, void *dataOut)
Definition: isf_spi_master_types.h:48
fsl_gauss_spi_slave_init
isf_status_t fsl_gauss_spi_slave_init(void)
Definition: FXOS8700_2.c:206
fnslaveinit_t
isf_status_t(* fnslaveinit_t)(void)
Definition: isf_spi_master_types.h:44

Definition at line 168 of file FXOS8700_2.c.

const isf_dsa_Adapter_t FXOS8700_2_Adapter

This allows access to the sensor adapter instance for the target sensor.

This allows access to the sensor adapter instance for the target sensor.

Definition at line 151 of file FXOS8700_2.c.

const isf_dsa_Adapter_t FXOS8700_2_Adapter

Initial value:
=
{
.devInfo.pSupportedSensorTypes = fxos8700_SupportedSensorTypes,
.devInfo.pSupportedSensorDataTypes = fxos8700_SupportedDataTypes,
.devInfo.nNativeDataSetSize = sizeof(fxos8700_DataBuffer_t),
.control.Initialize = &fsl_fxos8700_i2cspi_6D_AccMag_Initialize,
.control.ValidateSettings = &fsl_fxos8700_i2cspi_6D_AccMag_ValidateSettings,
.control.Configure = &fsl_fxos8700_i2cspi_6D_AccMag_Configure,
.control.StartData = &fsl_fxos8700_i2cspi_6D_AccMag_StartData,
.control.EndData = &fsl_fxos8700_i2cspi_6D_AccMag_EndData,
.control.Calibrate = &fsl_fxos8700_i2cspi_6D_AccMag_Calibrate,
.control.Shutdown = &fsl_fxos8700_i2cspi_6D_AccMag_Shutdown,
.control.Convert = &fsl_fxos8700_i2cspi_6D_AccMag_Convert
}
fxos8700_DataBuffer_t
This structure defines the dummy DSA data buffer format.
Definition: fsl_fxos8700_i2cspi_6D_AccMag.h:104
fsl_fxos8700_i2cspi_6D_AccMag_Initialize
isf_dsa_status_t fsl_fxos8700_i2cspi_6D_AccMag_Initialize(isf_SensorHandle_t *pSensorHandle)
This is the concrete implementation of the FXOS8700 sensor adapter initialization.
Definition: fsl_fxos8700_i2cspi_6D_AccMag.c:151
fxos8700_SupportedSensorTypes
isf_SensorTypes_t fxos8700_SupportedSensorTypes[]
Supported sensor and data types for FXOS8700.
Definition: fsl_fxos8700_i2cspi_6D_AccMag.c:53
fsl_fxos8700_i2cspi_6D_AccMag_Configure
isf_dsa_status_t fsl_fxos8700_i2cspi_6D_AccMag_Configure(isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)
This is the concrete implementation of the FXOS8700 sensor adapter for configuration.
Definition: fsl_fxos8700_i2cspi_6D_AccMag.c:282
fsl_fxos8700_i2cspi_6D_AccMag_StartData
isf_dsa_status_t fsl_fxos8700_i2cspi_6D_AccMag_StartData(isf_SensorHandle_t *pSensorHandle)
This is the concrete implementation of the FXOS8700 sensor adapter for start Data.
Definition: fsl_fxos8700_i2cspi_6D_AccMag.c:411
fsl_fxos8700_i2cspi_6D_AccMag_Calibrate
isf_dsa_status_t fsl_fxos8700_i2cspi_6D_AccMag_Calibrate(isf_SensorHandle_t *pSensorHandle, void *pCalData)
This is the concrete implementation of the FXOS8700 sensor adapter for calibration ...
Definition: fsl_fxos8700_i2cspi_6D_AccMag.c:544
fsl_fxos8700_i2cspi_6D_AccMag_Convert
isf_dsa_status_t fsl_fxos8700_i2cspi_6D_AccMag_Convert(volatile isf_SensorHandle_t *pSensorHandle, isf_SensorDataTypes_t convertToType, isf_dsa_result_types_t resultType, void *pNativeSample, void *pConvertedSample, int32 *numBytes)
This function coverts the raw sample data to the desired output type.
Definition: fsl_fxos8700_i2cspi_6D_AccMag.c:735
fxos8700_SupportedDataTypes
isf_SensorDataTypes_t fxos8700_SupportedDataTypes[]
Definition: fsl_fxos8700_i2cspi_6D_AccMag.c:54
fsl_fxos8700_i2cspi_6D_AccMag_Shutdown
isf_dsa_status_t fsl_fxos8700_i2cspi_6D_AccMag_Shutdown(isf_SensorHandle_t *pSensorHandle)
This is the concrete implementation of the FXOS8700 sensor adapter for shutdown . ...
Definition: fsl_fxos8700_i2cspi_6D_AccMag.c:561
fsl_fxos8700_i2cspi_6D_AccMag_EndData
isf_dsa_status_t fsl_fxos8700_i2cspi_6D_AccMag_EndData(isf_SensorHandle_t *pSensorHandle)
This is the concrete implementation of the FXOS8700 sensor adapter for End Data.
Definition: fsl_fxos8700_i2cspi_6D_AccMag.c:478
fsl_fxos8700_i2cspi_6D_AccMag_ValidateSettings
isf_dsa_status_t fsl_fxos8700_i2cspi_6D_AccMag_ValidateSettings(isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)
This is the concrete implementation of the FXOS8700 sensor adapter for validating current settings...
Definition: fsl_fxos8700_i2cspi_6D_AccMag.c:241

This creates the sensor adapter instance for the target sensor.

This allows access to the sensor adapter instance for the target sensor.

Definition at line 151 of file FXOS8700_2.c.

const spi_master_CommSpecificInfo_t FXOS8700_2_DeviceInfo

This allows access to the sensor communications specific configuration.

This allows access to the sensor communications specific configuration.

Definition at line 177 of file FXOS8700_2.c.

const spi_master_CommSpecificInfo_t FXOS8700_2_DeviceInfo

Initial value:
=
{
.busConfig =
{
.timeout = 1000U,
.device =
{
.bitsPerSec = 500000U,
.dataBusConfig.bitsPerFrame = 8U,
.dataBusConfig.clkPolarity = kDspiClockPolarity_ActiveHigh,
.dataBusConfig.clkPhase = kDspiClockPhase_FirstEdge,
.dataBusConfig.direction = kDspiMsbFirst,
},
.userConfig =
{
.whichCtar = kDspiCtar0,
.isSckContinuous = false,
.isChipSelectContinuous = false,
.whichPcs = kDspiPcs0,
.pcsPolarity = kDspiPcs_ActiveHigh,
},
},
.pSlaveInfo = &fsl_spi_sensor_type_FXOS8700_2
}
fsl_spi_sensor_type_FXOS8700_2
spi_master_slaveInfo_t fsl_spi_sensor_type_FXOS8700_2
Definition: FXOS8700_2.c:168

This allows access to the sensor communications specific configuration.

This allows access to the sensor communications specific configuration.

Definition at line 177 of file FXOS8700_2.c.

fxos8700_Sensor_Specific_Settings_t FXOS8700_2_Sensor_Specific_Config

This allows access to the sensor specific configuration for the target sensor.

Definition at line 99 of file FXOS8700_2.c.

fxos8700_Sensor_Specific_Settings_t FXOS8700_2_Sensor_Specific_Config

This allows access to the sensor specific configuration for the target sensor.

Definition at line 99 of file FXOS8700_2.c.

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.